//GDSIIconst 
//Copyright  2005-2012 Vitaliy Golub. All Rights Reserved
//http://www.EquTranslator.com

#pragma once


////////////////////////////////////////////////////////////////////////////
//Presentation bits
//Horizontal justification
const unsigned   __int16 PRESENT_HLEFT=0x0;
const unsigned   __int16 PRESENT_HCENTER=0x1;
const unsigned   __int16 PRESENT_HRIGHT=0x2;

//Vertical justification
const unsigned   __int16 PRESENT_VTOP=0x0;
const unsigned   __int16 PRESENT_VMIDDLE=0x4;
const unsigned   __int16 PRESENT_VBOTTOM=0x8;

//Font number
const unsigned   __int16 PRESENT_FONT0=0x0;
const unsigned   __int16 PRESENT_FONT1=0x10;
const unsigned  __int16 PRESENT_FONT2=0x20;
const unsigned   __int16 PRESENT_FONT3=0x30;


///////////////////////////////////////////////////////////////////////
// PATHTYPE
const unsigned   __int16 PATHTYPE0=0;
const unsigned   __int16 PATHTYPE1=1;
const unsigned   __int16 PATHTYPE2=2;
const unsigned   __int16 PATHTYPE4=4;


///////////////////////////////////////////////////////////////////////
//ELFLAGS
const unsigned   __int16 ELFLAGS_0=0;
const unsigned   __int16 ELFLAGS_TEMPLATE=1;
const unsigned   __int16 ELFLAGS_EXTERIOR=2;

///////////////////////////////////////////////////////////////////////
//STRANS
const unsigned   __int16 STRANS_0=0;
const unsigned   __int16 STRANS_ABSMAG=0x4;
const unsigned   __int16 STRANS_ABSANG=0x2;
const unsigned   __int16 STRANS_REFLECT=0x8000;

///////////////////////////////////////////////////////////////////////
//PLEX
const unsigned  __int32 PLEX_HEAD=0x1000000;



//////////////////////////////////////////////////////////////////////////////////////////////
//	Error mesages

#define errNoError					"No error."
#define errHandle					"The handle is not defined."
#define	errDoubleOverRange			"Error: Source double value is over range."
#define	errOpenGDSIIFile			"Error: Cannot open GDSII file."
#define errStartAnotherProc 		"Error: Cannot start another export process."
#define	errProcAlreadyStop			"Error: Process is already stopped."
#define errStructNotClosed			"Error: Structure is not closed."
#define errStructAlreadyStarted		"Error: Structure is already opened."
#define errStructNotOpened			"Error: Structure is not opened."
#define	errStructAlreadyInserted	"Error: Structure with this name is already inserted."
#define	errMuchBoundaryPoints		"Error: Too many points for BOUNDARY structure. "
#define	errFewBoundaryPoints		"Error: Not enough points for BOUNDARY structure. "
#define	errFewPathPoints			"Error: Not enough points for PATH structure. "
#define errStringIsNULL				"Error: The string is not defined. "
#define errStringSizeIsOver			"Error: The string size is more than 512 characters. "
#define errTextTypeLimit			"Error: TEXTTYPE value should be in the range 0 to 255. "
#define	errMaxNodePoints			"Error: Too many points for NODE record. "
#define	errMinNodePoints			"Error: Not enough points for NODE record. "

//Error enum. Should be sync with list of error messages
enum ERR_CODE { eErrNoError = 0,			//"No error."
				eErrHandle,					//"The handle is not defined."
				eErrDoubleOverRange, 		//"Error: Source double value is over range."
				eErrOpenGDSIIFile, 			//"Error: Cannot open GDSII file."
				eErrStartAnotherProc,		//"Error: Cannot start another export process."
				eErrProcAlreadyStop,		//"Error: Process is already stopped."
				eErrStructNotClosed,		//"Error: Structure is not closed."
				eErrStructAlreadyStarted,	//"Error: Structure is already opened."
				eErrStructNotOpened,		//"Error: Structure is not opened."
				eErrStructAlreadyInserted,	//"Error: Structure with this name is already inserted."
				eErrMuchBoundaryPoints,		//"Error: Too many points for BOUNDARY structure. "
				eErrFewBoundaryPoints,		//"Error: Not enough points for BOUNDARY structure. "
				eErrFewPathPoints,			//"Error: Not enough points for PATH structure. "
				eErrStringIsNULL,			//"Error: The string is not defined. "
				eErrStringSizeIsOver,		//"Error: The string size is more than 512 characters. "
				eErrTextTypeLimit,			//"Error: TEXTTYPE value should be in the range 0 to 255. "
				eErrMaxNodePoints,			//"Error: Too many points for NODE record. "
				eErrMinNodePoints,			//"Error: Not enough points for NODE record. "
				eEndElement} ;

